%define build_mozilla 1

%define xineversion 1.1.2
%define gstver 0.10

%define backend_suffix %{nil}
%if %_lib != lib
%define backend_suffix -64
%endif

%define name totem
%define version 2.32.0
%define release %mkrel 4

Summary: Movie player for GNOME 2
Summary(de): Videoplayer für GNOME 2
Name: 	%name
Version: %version
Release: %release
Source0: http://ftp.gnome.org/pub/GNOME/sources/totem/%{name}-%{version}.tar.xz
Source1: %name-48.png
Source2: totem-opendvd.desktop
Patch: totem-2.28.3-set-default-visual-effects-plugin.patch
#Debian----------------------------------------------------------
Patch1: 01_fake_keypresses.patch
Patch3: 07_disable_web_browser_midi.patch 
Patch4: 08_scrsaver_startup_inhibit.patch 
Patch5: 70_bbc_plugin.patch 
Patch12: 75_fix_screenshotting_of_interlaced_videos.patch
#----------------------------------------------------------------
License: GPLv2 with exception
Group: Video
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.hadess.net/totem.php3
BuildRequires: libgstreamer-plugins-base-devel >= %gstver
BuildRequires: gstreamer0.10-plugins-good
BuildRequires: gstreamer0.10-plugins-base
BuildRequires: gstreamer0.10-soup
BuildRequires: libxdmcp-devel
BuildRequires: libxtst-devel
BuildRequires: libxxf86vm-devel
BuildRequires: libnvtvsimple-devel
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: docbook-dtd45-xml
BuildRequires: liblirc-devel
BuildRequires: libnautilus-devel
BuildRequires: libgalago-devel >= 0.5.2
BuildRequires: libvala-devel >= 0.1.5
BuildRequires: libbluez-devel
BuildRequires: libepc-devel
BuildRequires: hal-devel
BuildRequires: glib2-devel >= 2.9.6
BuildRequires: iso-codes
BuildRequires: intltool
BuildRequires: automake1.9
BuildRequires: gnome-common
BuildRequires: desktop-file-utils
BuildRequires: shared-mime-info >= 0.22
BuildRequires: libgnome-window-settings-devel
BuildRequires: pygtk2.0-devel
BuildRequires: gtk2-devel >= 2.12.1
BuildRequires: libtotem-plparser-devel >= 2.27.0
BuildRequires: evolution-data-server-devel
BuildRequires: gstreamer0.10-soup
BuildRequires: gmime-devel >= 2.4
BuildRequires: libunique-devel
Requires: brasero
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-ugly
Requires: gstreamer0.10-python
Requires: gstreamer0.10-resindvd
Requires: gstreamer0.10-soup
Requires: gnome-python-gconf
Requires: python-simplejson
Requires: python-coherence
Requires: python-gdata
Requires: avahi-python
Requires: iso-codes
Requires: gromit
Requires: pygtk2.0
Requires: pyxdg
Requires: python-httplib2
Requires: python-feedparser
Requires: python-beautifulsoup
Requires: glibc
Requires: libstdc++6 >= 4.4.1
# Doesn't build with this installed
BuildConflicts: libtracker-devel
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

Requires(post)  : scrollkeeper >= 0.3 desktop-file-utils
Requires(postun): scrollkeeper >= 0.3 desktop-file-utils
Provides: totem-xine totem-gstreamer totem-common
Obsoletes: totem-xine totem-gstreamer totem-common 
Provides: libbaconvideowidget-gstreamer0 libbaconvideowidget-xine0
Obsoletes: libbaconvideowidget-gstreamer0 libbaconvideowidget-xine0
Obsoletes: %name < %version

%description
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%description -l de
Totem Movie Player ist ein einfacher Videoplayer für den GNOME-Desktop.  
Eigenschaften:

 * Spielt jede von Xine unterstützte Datei ab
 * Unterstützt LIRC
 * Unterstützt Shoutcast-, m3u-, asx-, SMIL- und ra Wiedergabelisten
 * DVD- (mit Menüs), VCD- und Digital CD- (mit CDDB) Wiedergabe
 * TV-Out-Konfiguration mit optionaler Umschaltung der Auflösung
 * 4.0, 5.0, 5.1 und Stereo Audio-Ausgabe
 * Gnome-vfs-Eingabe-Erweiterung (diese wurde nach xine-lib verschoben)
 * Vollbildmodus (bewegen Sie Ihre Maus und es erscheinen tolle Bedienelemente) mit Xinerama-, Dual-Head- und RandR-Unterstützung
 * Fernsteuerungsmodus um einen laufenden Totem zu steuern
 * Knöpfe zum Spulen und zum Regeln der Lautstärke
 * Bildseitenverhältnis umschalten, Skalieren anhand der Originalgröße des Videos 
 * Komplett mit der Tastatur bedienbar
 * Einfache Wiedergabeliste mit Wiederholungsfunktion, abspeicherbar
 * Integration in Gnome und Nautilus (Totem registriert die Dateitypen, erstellt einen neuen Menüeintrag und verwendet die Proxy-Konfiguration)
 * Schönes Standard-Logo
 * Eigenschaften-Fenster (Informationen über den aktuellen Film)
 * Ziehen und Ablegen sowie Mausrad-Aktionen werden unterstützt 
 * Bildschirmfoto-Funktion
 * Helligkeits- und Kontrasteinstellung
 * Visualisierungs-Erweiterung wenn Audio-Dateien abgespielt werden
 * Video-Bildervorschau (Thumbnailer) (setzt Nautilus aus GNOME 2.2 voraus)
 * Nautilus-Eigenschaftsseite
 * Funktioniert auf entfernten Anzeigen
 * Externe Unterstützung für Untertitel (xine)
 * DVD-, VCD- und OGG/OGM-Untertitel- und Sprachunterstützung
 * Automatisches herunterladen der Windows DLL-Erweiterungen
 * Dialog für genaueres Spulen
 * Authentifizierungs-Dialoge wenn der Standort es erfordert.


%description -l fr
Totem est un lecteur de films simple pour le bureau GNOME. Il
dispose d'une liste de lecture simple, un mode plein écran, de chercher et de volume
contrôles, ainsi que d'une navigation assez complet clavier.

%description -l es
Reproductor de películas Totem es sencillo para el escritorio GNOME. Ello
dispone de una lista de reproducción simple, un modo de pantalla completa, buscar y volumen de
los controles, así como una navegación por teclado bastante completo.

%description -l pl
Totem jest prosty odtwarzacz filmów dla GNOME. To
funkcje prostego odtwarzania, tryb pełnoekranowy, poszukiwanie i objętości
kontroli, jak również dość kompletny nawigacji za pomocą klawiatury.

%description -l sr
Тотем је једноставни филм плејер за Гном окружења. Од функција садржи
једноставану листу нумера, режим целог екрана, контролу тражења и гласноће,
као и прилично комплетну тастатурну навигацију.

%description -l nl
Totem Movie Player is eenvoudig voor de GNOME desktop. Het
heeft een eenvoudige afspeellijst, een full-screen modus, zoeken en volume
controles, evenals een behoorlijk compleet toetsenbord navigeren.


%package mozilla
Summary: Totem video plugin for Mozilla Firefox
Summary(de): Totem Video Plugin für Mozilla Firefox
Group: Networking/WWW
BuildRequires: dbus-devel >= 0.35
Requires: %name = %version

%description mozilla
This embeds the Totem video player into web browsers based on Mozilla Firefox.

%description mozilla -l de
Totem Video-Player eingebettet in den Web-Browser basierend auf Mozilla Firefox.

%description mozilla -l fr
Cela incorpore le lecteur vidéo Totem dans les navigateurs web basé sur Mozilla Firefox.

%description mozilla -l es
Esto incrusta el reproductor de vídeo Totem en los navegadores web basado en Mozilla Firefox.

%description mozilla -l pl
To integruje Totem odtwarzacz wideo do przeglądarek internetowych opartych na przeglądarce Mozilla Firefox.

%description mozilla -l sr
Ово уграђује Тотем видео плејер у веб прегледник базиран на Mozilla Firefox-u.


%description mozilla -l nl
Dit sluit de Totem video speler in web browsers gebaseerd op Mozilla Firefox.


%package nautilus
Group:Video
Summary: Video and Audio Properties tab for Nautilus
Summary(de): Video und Audio Eigenschaften intregration für Nautilus.
Requires: %name = %version
Requires: nautilus

%description nautilus
A Nautilus extension that shows the properties of audio and video
files in the properties dialogue.

%description nautilus -l de
Ein Nautilus-Erweiterung, die die Eigenschaften von Audio-und Video
Dateien in einen Dialog anzeigen. 

%description nautilus -l fr
Une extension de Nautilus qui affiche les propriétés de l'audio et la vidéo
fichiers dans le dialogue des propriétés.

%description nautilus -l es
Una extensión de Nautilus que muestra las propiedades de audio y vídeo
archivos en el diálogo de propiedades.

%description nautilus -l pl
Rozszerzenie Nautilus, który pokazuje właściwości audio i wideo
Pliki w dialogu właściwości.

%description nautilus -l sr
Наутилус, екстензија која показује особине аудио и видео
датотеке у дијалогу својстава.

%description nautilus -l nl
Een uitbreiding Nautilus dat de eigenschappen van shows audio en video
bestanden in de eigenschappen dialoog.


%prep
%setup -q
%patch -p1
#-------------
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch12 -p1
#------------


%build
autoreconf -fi
%configure2_5x --disable-run-in-source-tree \
               --enable-browser-plugins 

%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

#menu
MIME_TYPES=`tr '\n' , < data/mime-type-list.txt | sed -e 's/,$//'`
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# I hate generic names in menu
perl -pi -e "s|Name=Movie Player|Name=Totem Movie Player|" $RPM_BUILD_ROOT%{_datadir}/applications/totem.desktop

#icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
mkdir -p %buildroot%_iconsdir/hicolor/48x48/apps
install -D -m 644 data/icons/48x48/totem.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%name.png
install -D -m 644 data/icons/16x16/totem.png $RPM_BUILD_ROOT%{_miconsdir}/%name.png
install -D -m 644 data/icons/32x32/totem.png $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -D -m 644 data/icons/48x48/totem.png %buildroot/%_liconsdir/%name.png
install -D -m 644 %{SOURCE1} %buildroot/%_liconsdir/%name.png

# KDE Solid integration
mkdir -p %buildroot/%_datadir/apps/solid/actions
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_datadir/apps/solid/actions/

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/{totem/plugins/*/,mozilla/plugins,nautilus/extensions-2.0}/*.{la,a} %buildroot/var/lib/scrollkeeper

# there is no devel package yet
rm -f %buildroot%_libdir/libbaconvideowidget.{a,la,so}



%clean
rm -rf $RPM_BUILD_ROOT

%post 
%define schemas totem totem-video-thumbnail totem-handlers
%post_install_gconf_schemas %schemas
%update_icon_cache hicolor
%update_desktop_database
%update_menus
%update_scrollkeeper

%preun 
%preun_uninstall_gconf_schemas %schemas


%postun 
%clean_scrollkeeper
%clean_icon_cache hicolor
%clean_desktop_database
%clean_menus


%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS TODO NEWS
%_sysconfdir/gconf/schemas/totem.schemas
%_sysconfdir/gconf/schemas/totem-handlers.schemas
%_sysconfdir/gconf/schemas/totem-video-thumbnail.schemas
%dir %_datadir/omf/totem/
%_datadir/icons/hicolor/*/apps/*
%_datadir/icons/hicolor/scalable/devices/totem-tv.svg
%_datadir/icons/hicolor/*/devices/totem-tv.png
%_datadir/totem/*.png
%_datadir/totem/*.ui
%_datadir/gtk-doc/html/totem
%_datadir/omf/totem/totem-C.omf
%_datadir/applications/totem.desktop
%dir %_libdir/totem
%_libdir/totem/plugins
%_libdir/totem/totem-bugreport.py
%_mandir/man1/*
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png
%defattr(-,root,root)
%_bindir/totem
%_bindir/totem-audio-preview
%_bindir/totem-video-indexer
%_bindir/totem-video-thumbnailer
%_datadir/apps/solid/actions/totem-opendvd.desktop

%files nautilus
%defattr(-,root,root)
%_libdir/nautilus/extensions-2.0/*

%files mozilla
%defattr(-,root,root)
%_libdir/mozilla/plugins/libtotem*.so
%_libexecdir/totem-plugin-viewer



%changelog
* Sat Jul 30 2011 Texstar <texstar at gmail.com> 2.32.0-4pclos2011
- rebuild against updated libs

* Wed May 11 2011 Texstar <texstar at gmail.com> 2.32.0-3pclos2011
- apply debian patches

* Wed May 11 2011 Texstar <texstar at gmail.com> 2.32.0-2pclos2011
- rebuild against update libs

* Thu Sep 30 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- 2.32.0

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 2.30.2-2pclos2010
- rebuild new python

* Thu May 13 2010 Texstar <texstar at gmail.com> 2.30.2-1pclos2010
- 2.30.2

* Fri May 07 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Thu Apr 01 2010 Texstar <texstar at gmail.com> 2.30.0-1pclos2010
- 2.30.0

* Mon Mar 22 2010 Texstar <texstar at gmail.com> 2.28.5-2pclos2010
- rebuild agianst updated libgdata
- add BR libunique-devel

* Sat Jan 02 2010 maik3531 <maik3531 at yahoo dot de> 2.28.5-1pclos2010
- 2.28.5

* Sat Nov 14 2009 slick50 <lxgator at gmail.com> 2.28.3-1pclos2010
- 2.28.3
- fix german synaptic description (Leiche)

* Wed Oct 28 2009 slick50 <lxgator at gmail.com> 2.28.2-1pclos2010
- 2.28.2
- apply visual plugin patch (tex)

* Thu Oct 08 2009 Texstar <texstar at gmail.com> 2.28.1-5pclos2010
- system rebuild

* Thu Oct 08 2009 Texstar <texstar at gmail.com> 2.28.1-4pclos2010
- add temp exception for libbluetooth.so.3

* Thu Oct 08 2009 Texstar <texstar at gmail.com> 2.28.1-3pclos2010
- rebuild against updated tracker

* Fri Oct 02 2009 slick50 <lxgator@gmail.com>  2.28.1-2pclos2010
- rebuild
- fix coherence import plugin error, bug/338963
- trim specifle
